classification
Title: update default PyPI behavior in docs re: listing versions
Type: behavior Stage: resolved
Components: Distutils, Documentation Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: chris.jerdonek, eric.araujo, ezio.melotti, loewis, python-dev, tarek
Priority: normal Keywords: easy, patch

Created on 2012-11-04 09:57 by chris.jerdonek, last changed 2013-08-10 14:38 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue-16400-1-default.patch chris.jerdonek, 2012-11-10 18:34 review
Messages (8)
msg174769 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-04 09:57
There is a mismatch between what PyPI and the docs say regarding listing versions of packages on PyPI.

The current docs say, "By default PyPI will list all versions of a given package."

(from http://docs.python.org/3.4/distutils/packageindex.html )

However, PyPI says (and behaves) the opposite way, "By default, each new release will hide all other release from the regular display."

(from the "releases" management page of a project)
msg175292 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-10 18:34
Attaching a proposed patch.
msg175575 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-14 16:59
Martin, can you confirm that PyPI's behavior is as described in the patch?
msg175578 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-11-14 17:21
+1, that's all correct.
msg175588 - (view) Author: Roundup Robot (python-dev) Date: 2012-11-14 20:32
New changeset 2d266ce80712 by Chris Jerdonek in branch '3.2':
Update the description of which package versions PyPI displays (issue #16400).
http://hg.python.org/cpython/rev/2d266ce80712

New changeset ec037316a445 by Chris Jerdonek in branch '3.3':
Merge from 3.2: update the PyPI docs regarding listing versions (issue #16400).
http://hg.python.org/cpython/rev/ec037316a445

New changeset e4175daac740 by Chris Jerdonek in branch 'default':
Merge from 3.3: update the PyPI docs regarding listing versions (issue #16400).
http://hg.python.org/cpython/rev/e4175daac740
msg175589 - (view) Author: Roundup Robot (python-dev) Date: 2012-11-14 20:39
New changeset 7db2a27c07be by Chris Jerdonek in branch '2.7':
Backport from 3.2: update PyPI docs regarding listing versions (issue #16400).
http://hg.python.org/cpython/rev/7db2a27c07be
msg194793 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-10 14:36
New changeset dd0d751cc7f1 by Christian Heimes in branch 'default':
Issue #16400: Add command line option for isolated mode.
http://hg.python.org/cpython/rev/dd0d751cc7f1
msg194795 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-10 14:38
New changeset 06c39789061e by Christian Heimes in branch 'default':
typo, changeset dd0d751cc7f1 belongs to issue #16499 not issue #16400
http://hg.python.org/cpython/rev/06c39789061e
History
Date User Action Args
2013-08-10 14:38:32python-devsetmessages: + msg194795
2013-08-10 14:36:27python-devsetmessages: + msg194793
2012-11-14 20:44:29chris.jerdoneksetstatus: open -> closed
resolution: fixed
stage: resolved
2012-11-14 20:39:07python-devsetmessages: + msg175589
2012-11-14 20:32:49python-devsetnosy: + python-dev
messages: + msg175588
2012-11-14 17:21:09loewissetmessages: + msg175578
2012-11-14 16:59:35chris.jerdoneksetmessages: + msg175575
2012-11-10 18:34:28chris.jerdoneksetfiles: + issue-16400-1-default.patch

nosy: + ezio.melotti
messages: + msg175292

keywords: + patch
2012-11-04 09:57:35chris.jerdonekcreate